using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Serialization;

namespace NewRock.Sdk.Control.Response
{
    [XmlRoot("Status")]
    public class AssginConfigMenuResponse: NewRockResponse
    {
        [XmlElement("menu")]
        public AssginConfigMenuMenuResp Menu { get; set; }
    }

    public class AssginConfigMenuMenuResp
    {
        [XmlAttribute("id")]
        public string Id { get; set; }

        [XmlElement("voicefile")]
        public string VoiceFile { get; set; }

        [XmlElement("repeat")]
        public string Repeat { get; set; }

        [XmlElement("infolength")]
        public string InfoLength { get; set; }

        [XmlElement("exit")]
        public string Exit { get; set; }

        [XmlElement("outer")]
        public AssginConfigMenuOuter Outer { get; set; }

        [XmlElement("visitor")]
        public AssginConfigMenuVisitor Visitor { get; set; }
    }

    public class AssginConfigMenuOuter
    {
        [XmlAttribute("id")]
        public string Id { get; set; }

        [XmlAttribute("from")]
        public string From { get; set; }

        [XmlAttribute("to")]
        public string To { get; set; }

        [XmlAttribute("trunk")]
        public string Trunk { get; set; }

        [XmlAttribute("callid")]
        public string CallId { get; set; }
    }

    public class AssginConfigMenuVisitor
    {
        [XmlAttribute("id")]
        public string Id { get; set; }

        [XmlAttribute("from")]
        public string From { get; set; }

        [XmlAttribute("to")]
        public string To { get; set; }

        [XmlAttribute("callid")]
        public string CallId { get; set; }
    }
}
